local i=require"luci.model.tasks"
local o=require"luci.model.vaultwarden"
local a,t,e
a=i.docker_map("vaultwarden","vaultwarden","/usr/libexec/istorec/vaultwarden.sh",
translate("Vaultwarden"),
translate("Vaultwarden is an alternative implementation of the Bitwarden server API written in Rust and compatible with upstream Bitwarden clients.")
..translate("Official website:")..' <a href=\"https://github.com/dani-garcia/vaultwarden\" target=\"_blank\">https://github.com/dani-garcia/vaultwarden</a>')
t=a:section(SimpleSection,translate("Service Status"),translate("Vaultwarden status:"))
t:append(Template("vaultwarden/status"))
t=a:section(TypedSection,"main",translate("Setup"),translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"http_port",translate("HTTP Port").."<b>*</b>")
e.default="8097"
e.datatype="port"
e=t:option(Value,"notify_port",translate("Notify Port"))
e.datatype="port"
e=t:option(Flag,"signup_allowed","SIGNUP_ALLOWED")
e.default=0
e=t:option(Value,"admin_token","ADMIN_TOKEN")
e.default=""
e.password=true
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e:value("vaultwarden/server:latest","vaultwarden/server:latest")
e:value("vaultwarden/server:1.26.0","vaultwarden/server:1.26.0")
e.default="vaultwarden/server:latest"
local i=o.blocks()
local n=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local t,o=o.find_paths(i,n,"Configs")
for a,t in pairs(t)do
e:value(t,t)
end
e.default=o
return a
